Last Comment Bug 1287295 - Fix filter icon in Canvas
: Fix filter icon in Canvas
Status: VERIFIED FIXED
: good-first-bug
Product: Firefox
Classification: Client Software
Component: Developer Tools: Canvas Debugger (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 52
Assigned To: [:Towkir] Ahmed
:
: Victor Porof [:vporof][:vp]
Mentors: Tim Nguyen :ntim
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-16 12:31 PDT by magicp
Modified: 2016-10-29 06:00 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: yes
affected
affected
verified


Attachments
Fix filter icon in Canvas.png (45.61 KB, image/png)
2016-07-16 12:31 PDT, magicp
no flags Details
filter_icon_vs_search_icon.patch (802 bytes, patch)
2016-10-21 03:50 PDT, [:Towkir] Ahmed
ntim.bugs: review+
Details | Diff | Splinter Review

Description User image magicp 2016-07-16 12:31:15 PDT
Created attachment 8771699 [details]
Fix filter icon in Canvas.png

User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0
Build ID: 20160716030215

Steps to reproduce:

1. Start Nightly
2. Go to "http://helloracer.com/webgl/"
3. Open DevTools > Canvas
4. Confirm filter icon in inputbox


Actual results:

Using search icon (search.svg)


Expected results:

Filter icon (filter.svg)
Comment 1 User image Tim Nguyen :ntim 2016-10-16 04:10:38 PDT
At https://dxr.mozilla.org/mozilla-central/source/devtools/client/canvasdebugger/canvasdebugger.xul#113

replace devtools-searchinput with devtools-filterinput
Comment 2 User image [:Towkir] Ahmed 2016-10-21 03:50:46 PDT
Created attachment 8803299 [details] [diff] [review]
filter_icon_vs_search_icon.patch

Hope this helps :)
Comment 3 User image Tim Nguyen :ntim 2016-10-21 09:26:12 PDT
Comment on attachment 8803299 [details] [diff] [review]
filter_icon_vs_search_icon.patch

Review of attachment 8803299 [details] [diff] [review]:
-----------------------------------------------------------------

Works great, thanks for the patch!
Comment 4 User image Pulsebot 2016-10-23 10:43:41 PDT
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/d188cf31d797
Fix filter icon in Canvas by replacing the search icon. r=ntim
Comment 5 User image Ryan VanderMeulen [:RyanVM] 2016-10-23 17:08:28 PDT
https://hg.mozilla.org/mozilla-central/rev/d188cf31d797
Comment 6 User image Akash 2016-10-29 05:48:20 PDT
I have reproduced this bug with nightly 50.0a1 (2016-07-16) on windows 10, 32 bit.

The bug’s fix is now verified on Latest Nightly 52.0a1.

Build Id: 20161028030204.

User agent: Mozilla/5.0 (Windows NT 10.0; rv:52.0) Gecko/20100101 Firefox/52.0.

[bugday-20161026]

Note You need to log in before you can comment on or make changes to this bug.